#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-happy-lib-z-grammar
version:              2.1.2
package-name:         happy-lib
lib-name:             grammar
id:                   happy-lib-2.1.2-6QAydHwRa1fFJH4aeJtAX2-grammar
key:                  happy-lib-2.1.2-6QAydHwRa1fFJH4aeJtAX2-grammar
license:              BSD-2-Clause
copyright:            (c) Andy Gill, Simon Marlow
maintainer:           https://github.com/haskell/happy
author:               Andy Gill and Simon Marlow
stability:            stable
homepage:             https://www.haskell.org/happy/
synopsis:
    Happy is a parser generator for Haskell implemented using this library

description:
    Happy is a parser generator for Haskell.  Given a grammar
    specification in BNF, Happy generates Haskell code to parse the
    grammar.  Happy works in a similar way to the @yacc@ tool for C.

    This library provides the following functionality:

      * Data type definitions for the Grammar AST type, capturing the information in .y-files (Happy.Grammar)

      * A parser for happy grammar files (.y) to produce a Grammar (Happy.Frontend.*)

      * Implementations of the text book algorithms that compute the LR action and
        goto tables for the given '\''Grammar'\'' (Happy.Tabular.*)

      * An LALR code generator to produce table-driven, deterministic parsing code
        in Haskell (Happy.Backend.LALR.*)

      * A (less maintained) GLR code generator to produce table-driven,
        non-deterministic parsing code in Haskell, where ambiguous parses produce
        multiple parse trees (Happy.Backend.GLR.*)

category:             Development
abi:                  75c647303e19d75829168abbe2f5754b
exposed-modules:      Happy.Grammar Happy.Grammar.ExpressionWithHole
import-dirs:          /usr/lib/ghc-9.2.8/site-local/happy-lib-2.1.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/happy-lib-2.1.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-happy-lib
hs-libraries:         HShappy-lib-2.1.2-6QAydHwRa1fFJH4aeJtAX2-grammar
depends:              array-0.5.4.0 base-4.16.4.0
haddock-interfaces:   /usr/share/doc/haskell-happy-lib/html/happy-lib.haddock
haddock-html:         /usr/share/doc/haskell-happy-lib/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-happy-lib-z-frontend
version:              2.1.2
package-name:         happy-lib
lib-name:             frontend
id:                   happy-lib-2.1.2-BSlbrbd1uzc3GCaOlavAZE-frontend
key:                  happy-lib-2.1.2-BSlbrbd1uzc3GCaOlavAZE-frontend
license:              BSD-2-Clause
copyright:            (c) Andy Gill, Simon Marlow
maintainer:           https://github.com/haskell/happy
author:               Andy Gill and Simon Marlow
stability:            stable
homepage:             https://www.haskell.org/happy/
synopsis:
    Happy is a parser generator for Haskell implemented using this library

description:
    Happy is a parser generator for Haskell.  Given a grammar
    specification in BNF, Happy generates Haskell code to parse the
    grammar.  Happy works in a similar way to the @yacc@ tool for C.

    This library provides the following functionality:

      * Data type definitions for the Grammar AST type, capturing the information in .y-files (Happy.Grammar)

      * A parser for happy grammar files (.y) to produce a Grammar (Happy.Frontend.*)

      * Implementations of the text book algorithms that compute the LR action and
        goto tables for the given '\''Grammar'\'' (Happy.Tabular.*)

      * An LALR code generator to produce table-driven, deterministic parsing code
        in Haskell (Happy.Backend.LALR.*)

      * A (less maintained) GLR code generator to produce table-driven,
        non-deterministic parsing code in Haskell, where ambiguous parses produce
        multiple parse trees (Happy.Backend.GLR.*)

category:             Development
abi:                  ca638603d8905a949d5ef97d3c85af25
exposed-modules:
    Happy.Frontend Happy.Frontend.AbsSyn Happy.Frontend.Mangler
    Happy.Frontend.PrettyGrammar

hidden-modules:
    Happy.Frontend.ParseMonad Happy.Frontend.ParseMonad.Class
    Happy.Frontend.Mangler.Monad Happy.Frontend.Parser
    Happy.Frontend.Lexer Happy.Frontend.ParamRules
    Happy.Frontend.AttrGrammar Happy.Frontend.AttrGrammar.Parser
    Happy.Frontend.AttrGrammar.Mangler

import-dirs:          /usr/lib/ghc-9.2.8/site-local/happy-lib-2.1.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/happy-lib-2.1.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-happy-lib
hs-libraries:         HShappy-lib-2.1.2-BSlbrbd1uzc3GCaOlavAZE-frontend
depends:
    array-0.5.4.0 base-4.16.4.0 containers-0.6.5.1
    happy-lib-2.1.2-6QAydHwRa1fFJH4aeJtAX2-grammar mtl-2.2.2
    transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-happy-lib/html/happy-lib.haddock
haddock-html:         /usr/share/doc/haskell-happy-lib/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-happy-lib-z-tabular
version:              2.1.2
package-name:         happy-lib
lib-name:             tabular
id:                   happy-lib-2.1.2-IONEirOpBPjDEdt21izWd5-tabular
key:                  happy-lib-2.1.2-IONEirOpBPjDEdt21izWd5-tabular
license:              BSD-2-Clause
copyright:            (c) Andy Gill, Simon Marlow
maintainer:           https://github.com/haskell/happy
author:               Andy Gill and Simon Marlow
stability:            stable
homepage:             https://www.haskell.org/happy/
synopsis:
    Happy is a parser generator for Haskell implemented using this library

description:
    Happy is a parser generator for Haskell.  Given a grammar
    specification in BNF, Happy generates Haskell code to parse the
    grammar.  Happy works in a similar way to the @yacc@ tool for C.

    This library provides the following functionality:

      * Data type definitions for the Grammar AST type, capturing the information in .y-files (Happy.Grammar)

      * A parser for happy grammar files (.y) to produce a Grammar (Happy.Frontend.*)

      * Implementations of the text book algorithms that compute the LR action and
        goto tables for the given '\''Grammar'\'' (Happy.Tabular.*)

      * An LALR code generator to produce table-driven, deterministic parsing code
        in Haskell (Happy.Backend.LALR.*)

      * A (less maintained) GLR code generator to produce table-driven,
        non-deterministic parsing code in Haskell, where ambiguous parses produce
        multiple parse trees (Happy.Backend.GLR.*)

category:             Development
abi:                  d474aecdc9df156c7640d28752fc330c
exposed-modules:
    Happy.Tabular Happy.Tabular.First Happy.Tabular.Info
    Happy.Tabular.LALR Happy.Tabular.NameSet

import-dirs:          /usr/lib/ghc-9.2.8/site-local/happy-lib-2.1.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/happy-lib-2.1.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-happy-lib
hs-libraries:         HShappy-lib-2.1.2-IONEirOpBPjDEdt21izWd5-tabular
depends:
    array-0.5.4.0 base-4.16.4.0 containers-0.6.5.1
    happy-lib-2.1.2-6QAydHwRa1fFJH4aeJtAX2-grammar

haddock-interfaces:   /usr/share/doc/haskell-happy-lib/html/happy-lib.haddock
haddock-html:         /usr/share/doc/haskell-happy-lib/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-happy-lib-z-backend-glr
version:              2.1.2
package-name:         happy-lib
lib-name:             backend-glr
id:                   happy-lib-2.1.2-AVYmoK9KKCuHo7T8dmgjke-backend-glr
key:                  happy-lib-2.1.2-AVYmoK9KKCuHo7T8dmgjke-backend-glr
license:              BSD-2-Clause
copyright:            (c) Andy Gill, Simon Marlow
maintainer:           https://github.com/haskell/happy
author:               Andy Gill and Simon Marlow
stability:            stable
homepage:             https://www.haskell.org/happy/
synopsis:
    Happy is a parser generator for Haskell implemented using this library

description:
    Happy is a parser generator for Haskell.  Given a grammar
    specification in BNF, Happy generates Haskell code to parse the
    grammar.  Happy works in a similar way to the @yacc@ tool for C.

    This library provides the following functionality:

      * Data type definitions for the Grammar AST type, capturing the information in .y-files (Happy.Grammar)

      * A parser for happy grammar files (.y) to produce a Grammar (Happy.Frontend.*)

      * Implementations of the text book algorithms that compute the LR action and
        goto tables for the given '\''Grammar'\'' (Happy.Tabular.*)

      * An LALR code generator to produce table-driven, deterministic parsing code
        in Haskell (Happy.Backend.LALR.*)

      * A (less maintained) GLR code generator to produce table-driven,
        non-deterministic parsing code in Haskell, where ambiguous parses produce
        multiple parse trees (Happy.Backend.GLR.*)

category:             Development
abi:                  7eaaa976352b77440f6c13b4950d88a2
exposed-modules:      Happy.Backend.GLR Happy.Backend.GLR.ProduceCode
hidden-modules:       Paths_happy_lib
import-dirs:          /usr/lib/ghc-9.2.8/site-local/happy-lib-2.1.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/happy-lib-2.1.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-happy-lib
hs-libraries:         HShappy-lib-2.1.2-AVYmoK9KKCuHo7T8dmgjke-backend-glr
depends:
    array-0.5.4.0 base-4.16.4.0
    happy-lib-2.1.2-6QAydHwRa1fFJH4aeJtAX2-grammar
    happy-lib-2.1.2-IONEirOpBPjDEdt21izWd5-tabular

haddock-interfaces:   /usr/share/doc/haskell-happy-lib/html/happy-lib.haddock
haddock-html:         /usr/share/doc/haskell-happy-lib/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-happy-lib-z-backend-lalr
version:              2.1.2
package-name:         happy-lib
lib-name:             backend-lalr
id:                   happy-lib-2.1.2-1ueW1v4xKVVLcwt5IVAg9l-backend-lalr
key:                  happy-lib-2.1.2-1ueW1v4xKVVLcwt5IVAg9l-backend-lalr
license:              BSD-2-Clause
copyright:            (c) Andy Gill, Simon Marlow
maintainer:           https://github.com/haskell/happy
author:               Andy Gill and Simon Marlow
stability:            stable
homepage:             https://www.haskell.org/happy/
synopsis:
    Happy is a parser generator for Haskell implemented using this library

description:
    Happy is a parser generator for Haskell.  Given a grammar
    specification in BNF, Happy generates Haskell code to parse the
    grammar.  Happy works in a similar way to the @yacc@ tool for C.

    This library provides the following functionality:

      * Data type definitions for the Grammar AST type, capturing the information in .y-files (Happy.Grammar)

      * A parser for happy grammar files (.y) to produce a Grammar (Happy.Frontend.*)

      * Implementations of the text book algorithms that compute the LR action and
        goto tables for the given '\''Grammar'\'' (Happy.Tabular.*)

      * An LALR code generator to produce table-driven, deterministic parsing code
        in Haskell (Happy.Backend.LALR.*)

      * A (less maintained) GLR code generator to produce table-driven,
        non-deterministic parsing code in Haskell, where ambiguous parses produce
        multiple parse trees (Happy.Backend.GLR.*)

category:             Development
abi:                  7d7220e42522784f910cd794057160ee
exposed-modules:      Happy.Backend.LALR Happy.Backend.LALR.ProduceCode
hidden-modules:       Paths_happy_lib
import-dirs:          /usr/lib/ghc-9.2.8/site-local/happy-lib-2.1.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/happy-lib-2.1.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-happy-lib
hs-libraries:         HShappy-lib-2.1.2-1ueW1v4xKVVLcwt5IVAg9l-backend-lalr
depends:
    array-0.5.4.0 base-4.16.4.0
    happy-lib-2.1.2-6QAydHwRa1fFJH4aeJtAX2-grammar
    happy-lib-2.1.2-IONEirOpBPjDEdt21izWd5-tabular

haddock-interfaces:   /usr/share/doc/haskell-happy-lib/html/happy-lib.haddock
haddock-html:         /usr/share/doc/haskell-happy-lib/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:               happy-lib
version:            2.1.2
visibility:         public
id:                 happy-lib-2.1.2-L0F2GkmugblJ7RtLbBr6Kw
key:                happy-lib-2.1.2-L0F2GkmugblJ7RtLbBr6Kw
license:            BSD-2-Clause
copyright:          (c) Andy Gill, Simon Marlow
maintainer:         https://github.com/haskell/happy
author:             Andy Gill and Simon Marlow
stability:          stable
homepage:           https://www.haskell.org/happy/
synopsis:
    Happy is a parser generator for Haskell implemented using this library

description:
    Happy is a parser generator for Haskell.  Given a grammar
    specification in BNF, Happy generates Haskell code to parse the
    grammar.  Happy works in a similar way to the @yacc@ tool for C.

    This library provides the following functionality:

      * Data type definitions for the Grammar AST type, capturing the information in .y-files (Happy.Grammar)

      * A parser for happy grammar files (.y) to produce a Grammar (Happy.Frontend.*)

      * Implementations of the text book algorithms that compute the LR action and
        goto tables for the given '\''Grammar'\'' (Happy.Tabular.*)

      * An LALR code generator to produce table-driven, deterministic parsing code
        in Haskell (Happy.Backend.LALR.*)

      * A (less maintained) GLR code generator to produce table-driven,
        non-deterministic parsing code in Haskell, where ambiguous parses produce
        multiple parse trees (Happy.Backend.GLR.*)

category:           Development
abi:                2881cf8549be49b0dd5a86a4989e8cd2
exposed:            True
exposed-modules:
    Happy.Backend.GLR from happy-lib-2.1.2-AVYmoK9KKCuHo7T8dmgjke-backend-glr:Happy.Backend.GLR,
    Happy.Backend.GLR.ProduceCode from happy-lib-2.1.2-AVYmoK9KKCuHo7T8dmgjke-backend-glr:Happy.Backend.GLR.ProduceCode,
    Happy.Backend.LALR from happy-lib-2.1.2-1ueW1v4xKVVLcwt5IVAg9l-backend-lalr:Happy.Backend.LALR,
    Happy.Backend.LALR.ProduceCode from happy-lib-2.1.2-1ueW1v4xKVVLcwt5IVAg9l-backend-lalr:Happy.Backend.LALR.ProduceCode,
    Happy.Frontend from happy-lib-2.1.2-BSlbrbd1uzc3GCaOlavAZE-frontend:Happy.Frontend,
    Happy.Frontend.AbsSyn from happy-lib-2.1.2-BSlbrbd1uzc3GCaOlavAZE-frontend:Happy.Frontend.AbsSyn,
    Happy.Frontend.Mangler from happy-lib-2.1.2-BSlbrbd1uzc3GCaOlavAZE-frontend:Happy.Frontend.Mangler,
    Happy.Frontend.PrettyGrammar from happy-lib-2.1.2-BSlbrbd1uzc3GCaOlavAZE-frontend:Happy.Frontend.PrettyGrammar,
    Happy.Grammar from happy-lib-2.1.2-6QAydHwRa1fFJH4aeJtAX2-grammar:Happy.Grammar,
    Happy.Grammar.ExpressionWithHole from happy-lib-2.1.2-6QAydHwRa1fFJH4aeJtAX2-grammar:Happy.Grammar.ExpressionWithHole,
    Happy.Tabular from happy-lib-2.1.2-IONEirOpBPjDEdt21izWd5-tabular:Happy.Tabular,
    Happy.Tabular.First from happy-lib-2.1.2-IONEirOpBPjDEdt21izWd5-tabular:Happy.Tabular.First,
    Happy.Tabular.Info from happy-lib-2.1.2-IONEirOpBPjDEdt21izWd5-tabular:Happy.Tabular.Info,
    Happy.Tabular.LALR from happy-lib-2.1.2-IONEirOpBPjDEdt21izWd5-tabular:Happy.Tabular.LALR,
    Happy.Tabular.NameSet from happy-lib-2.1.2-IONEirOpBPjDEdt21izWd5-tabular:Happy.Tabular.NameSet

data-dir:           /usr/share/haskell-happy-lib
depends:
    array-0.5.4.0 base-4.16.4.0 containers-0.6.5.1
    happy-lib-2.1.2-AVYmoK9KKCuHo7T8dmgjke-backend-glr
    happy-lib-2.1.2-1ueW1v4xKVVLcwt5IVAg9l-backend-lalr
    happy-lib-2.1.2-BSlbrbd1uzc3GCaOlavAZE-frontend
    happy-lib-2.1.2-6QAydHwRa1fFJH4aeJtAX2-grammar
    happy-lib-2.1.2-IONEirOpBPjDEdt21izWd5-tabular mtl-2.2.2
    transformers-0.5.6.2

haddock-interfaces: /usr/share/doc/haskell-happy-lib/html/happy-lib.haddock
haddock-html:       /usr/share/doc/haskell-happy-lib/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

